program phaml_master
use phaml
implicit none
type(phaml_solution_type) :: pde1
integer :: i
call phaml_create(pde1,nproc=4,eq_type=EIGENVALUE)
do i=1,2
   call phaml_solve_pde(pde1,print_header_who=NO_ONE,print_trailer_who=NO_ONE, &
                        solve_init=.false.,task=REFINE_ONLY,reftype=H_UNIFORM)
end do
call phaml_solve_pde(pde1, &
                     print_grid_when=PHASES,print_grid_who=MASTER, &
                     print_linsys_when=PHASES,print_linsys_who=MASTER, &
                     print_solver_when=PHASES,print_solver_who=MASTER, &
                     print_error_when=PHASES,print_error_who=MASTER, &
                     print_energy_norm_error=.true., &
                     print_energy_norm_errest=.true., &
                     print_H1_norm_error=.true., &
                     print_H1_seminorm_error=.true., &
                     print_Linf_norm_error=.true., &
                     print_Linf_norm_errest=.true., &
                     print_L2_norm_error=.true., print_L2_norm_errest=.true., &
                     print_warnings=.false., &
                     print_eval_when=PHASES,print_eval_who=MASTER, &
                     max_vert=500, &
                     solver=PETSC_GMRES_SOLVER,  &
                     preconditioner=PETSC_SOR_PRECONDITION, &
                     eigensolver=SLEPC_JACOBI_DAVIDSON, &
                     num_eval=1)
call phaml_destroy(pde1)

end program phaml_master
