program phaml_master
use phaml
implicit none
type(phaml_solution_type) :: soln
call phaml_create(soln,nproc=4)
call phaml_solve_pde(soln,max_vert=500, &
                     print_grid_when=PHASES,print_grid_who=MASTER, &
                     print_linsys_when=PHASES,print_linsys_who=MASTER, &
                     print_solver_when=PHASES,print_solver_who=MASTER, &
                     print_error_when=PHASES,print_error_who=MASTER, &
                     print_energy_norm_error=.true., &
                     print_energy_norm_errest=.true., &
                     print_H1_norm_error=.true., &
                     print_H1_seminorm_error=.true., &
                     print_Linf_norm_error=.true., &
                     print_Linf_norm_errest=.true., &
                     print_L2_norm_error=.true., print_L2_norm_errest=.true.)
call phaml_compress(soln)
call phaml_popen(soln,11,"savef.dat")
call phaml_store(soln,11)
call phaml_pclose(soln,11)
call phaml_destroy(soln,finalize_mpi=.false.)
call phaml_create(soln,nproc=4)
call phaml_popen(soln,12,"savef.dat")
call phaml_restore(soln,12)
call phaml_pclose(soln,12)
call phaml_solve_pde(soln,max_vert=500, &
                     print_grid_when=PHASES,print_grid_who=MASTER, &
                     print_linsys_when=PHASES,print_linsys_who=MASTER, &
                     print_solver_when=PHASES,print_solver_who=MASTER, &
                     print_error_when=PHASES,print_error_who=MASTER, &
                     print_energy_norm_error=.true., &
                     print_energy_norm_errest=.true., &
                     print_H1_norm_error=.true., &
                     print_H1_seminorm_error=.true., &
                     print_Linf_norm_error=.true., &
                     print_Linf_norm_errest=.true., &
                     print_L2_norm_error=.true., print_L2_norm_errest=.true., &
                     inc_factor=1.1_my_real)
call phaml_compress(soln)
call phaml_popen(soln,13,"saveu.dat","UNFORMATTED")
call phaml_store(soln,13)
call phaml_pclose(soln,13)
call phaml_destroy(soln,finalize_mpi=.false.)
call phaml_create(soln,nproc=4)
call phaml_popen(soln,14,"saveu.dat","UNFORMATTED")
call phaml_restore(soln,14)
call phaml_pclose(soln,14)
call phaml_solve_pde(soln,max_vert=500, &
                     print_grid_when=PHASES,print_grid_who=MASTER, &
                     print_linsys_when=PHASES,print_linsys_who=MASTER, &
                     print_solver_when=PHASES,print_solver_who=MASTER, &
                     print_error_when=PHASES,print_error_who=MASTER, &
                     print_energy_norm_error=.true., &
                     print_energy_norm_errest=.true., &
                     print_H1_norm_error=.true., &
                     print_H1_seminorm_error=.true., &
                     print_Linf_norm_error=.true., &
                     print_Linf_norm_errest=.true., &
                     print_L2_norm_error=.true., print_L2_norm_errest=.true., &
                     inc_factor=1.1_my_real)
call phaml_destroy(soln)

end program phaml_master
